org.apache.activemq.artemis.jms.server.config.impl

## Class JMSConfigurationImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.config.impl.JMSConfigurationImpl

- All Implemented Interfaces:
    JMSConfiguration
  Direct Known Subclasses:
    FileJMSConfiguration

      public class JMSConfigurationImpl
      extends Object
      implements JMSConfiguration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSConfigurationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URL` | `getConfigurationUrl()`
    `List<ConnectionFactoryConfiguration>` | `getConnectionFactoryConfigurations()`
    `String` | `getDomain()`
    `List<JMSQueueConfiguration>` | `getQueueConfigurations()`
    `List<TopicConfiguration>` | `getTopicConfigurations()`
    `JMSConfiguration` | `setConfigurationUrl(URL configurationUrl)`
    `JMSConfigurationImpl` | `setConnectionFactoryConfigurations(List<ConnectionFactoryConfiguration> connectionFactoryConfigurations)`
    `JMSConfigurationImpl` | `setDomain(String domain)`
    `JMSConfigurationImpl` | `setQueueConfigurations(List<JMSQueueConfiguration> queueConfigurations)`
    `JMSConfigurationImpl` | `setTopicConfigurations(List<TopicConfiguration> topicConfigurations)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSConfigurationImpl

          public JMSConfigurationImpl()

  - ### Method Detail

    - #### getConnectionFactoryConfigurations

          public List<ConnectionFactoryConfiguration> getConnectionFactoryConfigurations()

      Specified by:
        `getConnectionFactoryConfigurations` in interface `JMSConfiguration`

    - #### setConnectionFactoryConfigurations

          public JMSConfigurationImpl setConnectionFactoryConfigurations(List<ConnectionFactoryConfiguration> connectionFactoryConfigurations)

      Specified by:
        `setConnectionFactoryConfigurations` in interface `JMSConfiguration`

    - #### getQueueConfigurations

          public List<JMSQueueConfiguration> getQueueConfigurations()

      Specified by:
        `getQueueConfigurations` in interface `JMSConfiguration`

    - #### setQueueConfigurations

          public JMSConfigurationImpl setQueueConfigurations(List<JMSQueueConfiguration> queueConfigurations)

      Specified by:
        `setQueueConfigurations` in interface `JMSConfiguration`

    - #### getTopicConfigurations

          public List<TopicConfiguration> getTopicConfigurations()

      Specified by:
        `getTopicConfigurations` in interface `JMSConfiguration`

    - #### setTopicConfigurations

          public JMSConfigurationImpl setTopicConfigurations(List<TopicConfiguration> topicConfigurations)

      Specified by:
        `setTopicConfigurations` in interface `JMSConfiguration`

    - #### getDomain

          public String getDomain()

      Specified by:
        `getDomain` in interface `JMSConfiguration`

    - #### setDomain

          public JMSConfigurationImpl setDomain(String domain)

      Specified by:
        `setDomain` in interface `JMSConfiguration`

    - #### getConfigurationUrl

          public URL getConfigurationUrl()

      Specified by:
        `getConfigurationUrl` in interface `JMSConfiguration`

    - #### setConfigurationUrl

          public JMSConfiguration setConfigurationUrl(URL configurationUrl)

      Specified by:
        `setConfigurationUrl` in interface `JMSConfiguration`

Copyright © 2018 The Apache Software Foundation. All rights reserved.